package test

import (
	"fmt"
	"path/filepath"
	"runtime"
	"testing"

	_ "git.rosy.net.cn/jx-callback/routers"

	beego "github.com/astaxie/beego/server/web"
	//. "github.com/smartystreets/goconvey/convey"
)

func init() {
	_, file, _, _ := runtime.Caller(1)
	apppath, _ := filepath.Abs(filepath.Dir(filepath.Join(file, ".."+string(filepath.Separator))))
	beego.TestBeegoInit(apppath)
}

// TestGet is a sample to run an endpoint test
func TestGet(t *testing.T) {
	//fmt.Println(7&16 != 0)
	//fmt.Println(3&16 != 0)
	//fmt.Println(23&16 != 0)
	fmt.Println("1111111111111111111", "")
}
